Extract the ADSL proxy list
curl --request POST \
--url https://api.acedata.cloud/adsl/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"city": "<string>",
"dedup": false,
"number": 1,
"province": "广东"
}
'import requests
url = "https://api.acedata.cloud/adsl/extract"
payload = {
"city": "<string>",
"dedup": False,
"number": 1,
"province": "广东"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({city: '<string>', dedup: false, number: 1, province: '广东'})
};
fetch('https://api.acedata.cloud/adsl/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"ip": "36.25.122.184",
"city": "",
"port": 23456,
"proxy": "36.25.122.184:23456",
"province": "",
"dialed_at": 1715879221.805,
"expire_at": 1715879601.805,
"outbound_ip": "36.25.122.184"
}
],
"success": true,
"trace_id": "932f81e9-f78e-4321-9985-c3eeefd832e0"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Extract the ADSL proxy list
POST
/
adsl
/
extract
Extract the ADSL proxy list
curl --request POST \
--url https://api.acedata.cloud/adsl/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"city": "<string>",
"dedup": false,
"number": 1,
"province": "广东"
}
'import requests
url = "https://api.acedata.cloud/adsl/extract"
payload = {
"city": "<string>",
"dedup": False,
"number": 1,
"province": "广东"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({city: '<string>', dedup: false, number: 1, province: '广东'})
};
fetch('https://api.acedata.cloud/adsl/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"ip": "36.25.122.184",
"city": "",
"port": 23456,
"proxy": "36.25.122.184:23456",
"province": "",
"dialed_at": 1715879221.805,
"expire_at": 1715879601.805,
"outbound_ip": "36.25.122.184"
}
],
"success": true,
"trace_id": "932f81e9-f78e-4321-9985-c3eeefd832e0"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorizações
API token from https://platform.acedata.cloud
Cabeçalhos
Adsl Extract Param Accept
Opções disponíveis:
application/json Corpo
application/json
Adsl Extract Isp
Opções disponíveis:
电信, 联通, 移动 Adsl Extract City
Adsl Extract Type
Opções disponíveis:
http, socks Adsl Extract Dedup
Exemplo:
false
Adsl Extract Number
Exemplo:
1
Adsl Extract Duration
Opções disponíveis:
60, 180, 300 Adsl Extract Province
Exemplo:
"广东"
Esta página foi útil?

